class EinfacherZaehler():

    def __init__(self):
        self.__stand=0  # int

    def Zaehle(self):
        ''''''
        self.__stand += 1
        ## self.__stand = self.__stand + 1

    def ZeigeStand(self):
        ''''''
        return self.__stand

class Zaehler(EinfacherZaehler):

    def __init__(self):
        EinfacherZaehler.__init__(self)
        pass
    
    def Zuruecksetzen(self):
        ''''''
        self._EinfacherZaehler__stand = 0 # sinnvoll?

class ZyklischerZaehler(Zaehler):

    def __init__(self, zyklusLaenge):
        Zaehler.__init__(self)
        self.zyklusLaenge = zyklusLaenge  # int

    def Zaehle(self):
        ''''''
        super(ZyklischerZaehler, self).Zaehle()
        if self.ZeigeStand() == self.zyklusLaenge:
            self.Zuruecksetzen()

### ------------------------------------------
import unittest
class TestZyklischerZaehler(unittest.TestCase):
    
    def setUp(self):
        self.zaehler = ZyklischerZaehler(3)
        
    def test_Initialisierung(self):
        self.assertTrue(self.zaehler.ZeigeStand()==0)

    def test_Zaehlen(self):
        self.zaehler.Zaehle()
        self.assertTrue(self.zaehler.ZeigeStand()==1)
        self.zaehler.Zaehle()
        self.assertTrue(self.zaehler.ZeigeStand()==2)
        self.zaehler.Zaehle()
        self.assertTrue(self.zaehler.ZeigeStand()==0)
        self.zaehler.Zaehle()
        self.assertTrue(self.zaehler.ZeigeStand()==1)
        
    def test_Zuruecksetzen(self):
        self.zaehler.Zaehle()
        self.assertTrue(self.zaehler.ZeigeStand()==1)
        self.zaehler.Zuruecksetzen()
        self.assertTrue(self.zaehler.ZeigeStand()==0)
        
if __name__ == '__main__':
    unittest.main()

