# -*- coding: utf-8 -*-
# istEin.py


from kd_verbinder import KD_Verbinder

### ---------------------------------------------------
class VererbungsPfeil(KD_Verbinder):
    """Vererbungspfeil fuer UML-Diagramme"""

    def __init__(self,
                 startKarte,
                 startKante,
                 zielKarte,
                 zielKante,
                 name='',
                 typ=3, # steht immer fuer Vererbung
                 verbindertyp=0
                 ):
        KD_Verbinder.__init__(self,
                              startKarte,
                              startKante,
                              zielKarte,
                              zielKante,
                              name)
        self.SetzeVerbinderTyp(verbindertyp)
        self.SetzeRichtung(0) # kein Richtungspfeil bei Vererbung
        self.SetzeTyp(3) ## steht fuer Vererbung
